/*******************************************************************************
      Protocolo entre el PIC y el ezweb
*******************************************************************************

// TxD ===> RC6   con RCV del ez web (patilla 9)
// RxD ===> RC7   con TX del ez web (patilla 8)

*******************************************************************************
     PROYECTO control desde web
*******************************************************************************/
#include <16F876A.h>
#use delay (clock=4000000)  
#include "lcd.h"
#use rs232 (baud=9600,xmit=PIN_C6,rcv=PIN_C7)   //RC6 transmisor (TxD)
                                              //Rc7 receptor (RxD)
#fuses XT,NOWDT

void main(void)
{
    char cadena[17];
	char letra;
   	int8 i;
  	setup_adc_ports (NO_ANALOGS);
   	set_tris_a(0x00);                //pongo como salidas RA0-RA2
   	set_tris_b(0x00);                //pongo como salidas RB0-RB7
   	set_tris_c(0b10000000);          //pongo como entrada RC7
//	delay_ms(2000);
   	LCD_INI();
    delay_ms(2000);       // Esperamos que el ezweb se inicialice

//	printf("AT*SERIAL_START=0x4E,0x3A\r\n");
//	printf("AT*SERIAL_END=0x3B\r\n");
	printf(LCD_DATO,"Espero Mensaje");

	for(i=0;i<17;i++)
   	{
		 letra=getch();
         if(letra==';')
         {
            cadena[i]='\0'; //Caracter fin de cadena
            break;
         }
         cadena[i]=letra;
   	}
	LCD_GOTOXY(1,1);
	printf(LCD_DATO,"                      ");
	LCD_GOTOXY(1,1);
	printf(LCD_DATO,"%s",cadena);
	printf("AT*SERIAL_GET=N:Mensaje escrito correctamente;\r\n");

   	while(1)
   	{
		LCD_GOTOXY(1,2);
		printf(LCD_DATO,"Espero Mensaje");
		for(i=0;i<17;i++)
	  	{
			letra=getch();
         	if(letra==';')
         	{
            	cadena[i]='\0'; //Caracter fin de cadena
            	break;
         	}
         	cadena[i]=letra;
      	}
		LCD_GOTOXY(1,1);
		printf(LCD_DATO,"                      ");	
		LCD_GOTOXY(1,1);
		printf(LCD_DATO,"%s",cadena);
		printf("AT*SERIAL_GET=N:Mensaje escrito correctamente;\r\n");
		
	}//fin de while
}//fin de main

